﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace icWpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            DataTable dt = new DataTable();
            dt.Columns.Add("CL_INT", typeof(int));
            dt.Columns.Add("CL_STRING", typeof(string));
            dt.Columns.Add("CL_DATETIME", typeof(DateTime));
            dt.Columns.Add("CL_DOUBLE", typeof(double));

            dt.Rows.Add(1, "Name One", DateTime.Now, 2.31);
            dt.Rows.Add(2, "Name Test", DateTime.Now.AddDays(1), 3.8);
            dt.Rows.Add(3, "Name 56", DateTime.Now.AddHours(4), 5.5);
            dt.Rows.Add(4, "Name 5", DateTime.Now.AddMinutes(30), 7.34);
            dt.Rows.Add(5, "Name 5", DateTime.Now.AddMinutes(30), 4.34);
            dt.Rows.Add(6, "Name 5", DateTime.Now.AddMinutes(10), 8.34);
            dt.Rows.Add(7, "Name 7", DateTime.Now.AddYears(3), 23.3);

            DataSet ds = new DataSet();
            ds.Tables.Add(dt);

            FieldLayout _oLayout = MontarColunas();
            XamDataGrid1.FieldLayouts.Add(_oLayout);
            
            XamDataGrid1.DataSource = ds.Tables[0].DefaultView;
        }

        private FieldLayout MontarColunas()
        {
            FieldLayout _oLayout = new FieldLayout();

            Field r1 = new Field("CL_INT", "CL_INT");
            r1.Column = 0;
            _oLayout.Fields.Add(r1);

            Field r2 = new Field("CL_STRING", "CL_STRING");
            r2.Column = 1;
            r2.Settings.AllowGroupBy = true;
            r2.Settings.GroupByMode = FieldGroupByMode.Value;
            r2.Settings.CellVisibilityWhenGrouped = Visibility.Visible;
            _oLayout.Fields.Add(r2);

            Field r3 = new Field("CL_DATETIME", "CL_DATETIME");
            r3.Column = 2;
            _oLayout.Fields.Add(r3);

            Field r4 = new Field("CL_DOUBLE", "CL_DOUBLE");
            r4.Column = 3;
            _oLayout.Fields.Add(r4);

            return _oLayout;
        }
    }
}
